# remote

abstract fun <T : BuildCache?> remote(type: Class<T>): T

Configures a remote cache with the given type.

If a remote build cache has already been configured with a different type, this method replaces it.

Storing ("push") in the remote build cache is disabled by default.

#### Parameters

type

the type of remote cache to configure.

abstract fun <T : BuildCache?> remote(type: Class<T>, configuration: Action<in T>): T

Configures a remote cache with the given type.

If a remote build cache has already been configured with a different type, this method replaces it.

If a remote build cache has already been configured with the same, this method configures it.

Storing ("push") in the remote build cache is disabled by default.

#### Parameters

type

the type of remote cache to configure.

configuration

the configuration to execute against the remote cache.

abstract fun remote(configuration: Action<in BuildCache>)

Executes the given action against the currently configured remote cache.

#### Parameters

configuration

the action to execute against the currently configured remote cache.

#### Throws

IllegalStateException

If no remote cache has been assigned yet